<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN" "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
    <!-- ========== Data Source Configuration =============================== -->
    <!--data-sources>
    </data-sources-->
    <!-- ========== Form Bean Definitions =================================== -->

    <form-beans type="org.apache.struts.action.ActionFormBean">
		<!-- === VKCCategory Form Bean Definitions === -->
        <form-bean name="showCategoryForm"               type="vkc.view.form.ShowCategoryForm" />
    	<form-bean name="archiveCategoryForm"		 	 type="vkc.view.form.ArchiveCategoryForm" />
        <form-bean name="editCategoryForm"               type="vkc.view.form.EditCategoryForm" />
        <form-bean name="createCategoryForm"             type="vkc.view.form.CreateCategoryForm" />
        <form-bean name="categoryAclForm"                type="vkc.view.form.EditCatAclForm" />
        <form-bean name="displayAclForm"                 type="vkc.view.form.DisplayAclForm" />
        <form-bean name="displayAclSummaryViewForm"      type="vkc.view.form.DisplayAclSummaryViewForm" />
        <form-bean name="defaultCatAclForm"         	 type="vkc.view.form.EditDefaultCatAclForm" />
        <form-bean name="addAccessorAclForm"             type="vkc.view.form.AddAccessorAclForm" />
        <form-bean name="addLdapAccessorAclForm"         type="vkc.view.form.AddLdapAccessorAclForm" />
        <form-bean name="clusterCategoryForm"            type="vkc.view.form.ClusterCategoryForm" />
        <form-bean name="clusterDocumentViewForm"        type="vkc.view.form.ClusterDocumentViewForm" />
        <form-bean name="clusterEditCategoryViewForm"    type="vkc.view.form.ClusterEditCategoryViewForm" />
        <form-bean name="clusterResultSaveForm"    		 type="vkc.view.form.ClusterResultSaveForm" />
        <form-bean name="registerGroupForm"    		     type="vkc.view.form.RegisterGroupForm" />
       
        <!-- === VKCCommon Form Bean Definitions === -->
        <form-bean name="compareVersionsForm"    		 type="vkc.view.form.CompareVersionsForm" />
        <form-bean name="compareDocumentsForm"    		 type="vkc.view.form.CompareDocumentsForm" />
		<form-bean name="showVersionsForm"    		 	 type="vkc.view.form.ShowVersionsForm" />
        
    	<!-- === VKCAdministration Form Bean Definitions === -->
        <form-bean name="vkcTabViewForm"               	 type="vkc.view.form.TabViewForm" />
        <form-bean name="showLatestAdditionsForm"        type="vkc.view.form.ShowLatestAdditionsForm" />
        <form-bean name="showBestsellerForm"             type="vkc.view.form.ShowBestsellerForm" />
        <form-bean name="copyrightViewForm"              type="vkc.view.form.CopyrightViewForm" />

    	<!-- === Misc. Form Bean Definitions === -->
        <form-bean name="displayGroupInfoForm"           type="vkc.view.form.DisplayGroupInfoForm" />
        <form-bean name="displayUserInfoForm"            type="vkc.view.form.DisplayUserInfoForm" />
        <form-bean name="displayUrlForm"            	 type="vkc.view.form.DisplayUrlForm" />
        <form-bean name="searchCategoryForm"            	 type="vkc.view.form.SearchCategoryForm" />
        <form-bean name="treeViewForm"                   type="vkc.util.treeview.TreeViewForm" />
        <form-bean name="explorerTreeViewForm"           type="vkc.util.treeview.ExplorerTreeViewForm" />
        <form-bean name="sysLinkForm"               	 type="vkc.view.form.SysLinkForm" />
        <form-bean name="clusterTreeViewForm"            type="vkc.util.treeview.ClusterTreeViewForm" />

    	<!-- === VKCAdministration Form Bean Definitions === -->
        <form-bean name="adminTabViewForm"               type="vkc.administration.form.TabViewForm" />
        <form-bean name="editUserForm"            		 type="vkc.administration.form.EditUserForm" />
        <form-bean name="editGroupForm"            		 type="vkc.administration.form.EditGroupForm" />
        <form-bean name="userListForm"                   type="vkc.administration.form.UserListForm" />
        <form-bean name="newUserForm"                    type="vkc.administration.form.NewUserForm" />
        <form-bean name="groupListForm"                  type="vkc.administration.form.GroupListForm" />
        <form-bean name="newGroupForm"                   type="vkc.administration.form.NewGroupForm" />
        <form-bean name="changeUserPasswordForm"         type="vkc.administration.form.ChangeUserPasswordForm" />
        <form-bean name="changeDocumentPublisherForm"    type="vkc.administration.form.ChangeDocumentPublisherForm" />
        <form-bean name="changeCreatorPublishershipForm" type="vkc.administration.form.ChangeCreatorPublishershipForm" />
        <form-bean name="copyAdminRightsForm"            type="vkc.administration.form.CopyAdminRightsForm" />
        <form-bean name="activeUserListForm"             type="vkc.administration.form.ActiveUserListForm" />
        <form-bean name="sendEmailForm"		             type="vkc.administration.form.SendEmailForm" />
        <form-bean name="systemParametersForm"       	 type="vkc.administration.form.SystemParametersForm" />
        <form-bean name="systemDefaultsForm"       	 	 type="vkc.administration.form.SystemDefaultsForm" />
        <form-bean name="newsListForm"					 type="vkc.administration.form.NewsListForm" />
        <form-bean name="editNewsForm"					 type="vkc.administration.form.EditNewsForm" />
        <form-bean name="createNewsForm"				 type="vkc.administration.form.CreateNewsForm" />			
        <form-bean name="systemMaintenanceForm"      	 type="vkc.administration.form.SystemMaintenanceForm" />
		<form-bean name="converterMaintenanceForm"       type="vkc.administration.form.ConverterMaintenanceForm" />
		<form-bean name="conversionsMaintenanceForm"     type="vkc.administration.form.ConversionsMaintenanceForm" />
		<form-bean name="exportMaintenanceForm"     	 type="vkc.administration.form.ExportMaintenanceForm" />
		<form-bean name="importMaintenanceForm"     	 type="vkc.administration.form.ImportMaintenanceForm" />
		<form-bean name="lostFoldersForm"     			 type="vkc.administration.form.LostFoldersForm" />
		<form-bean name="trashViewForm"                  type="vkc.administration.form.TrashViewForm" />
		<form-bean name="deleteUsersForm"                type="vkc.administration.form.DeleteUsersForm" />
		<form-bean name="licenseListForm"		         type="vkc.administration.form.LicenseListForm" />
		<form-bean name="newLicenseForm"   	             type="vkc.administration.form.NewLicenseForm" />
		
    	<!-- === VKCProfile Form Bean Definitions === -->
        <form-bean name="userProfileForm"          		 type="vkc.profile.form.UserProfileForm" />
        <form-bean name="userPasswordChangeForm"         type="vkc.profile.form.UserPasswordChangeForm" />
        <form-bean name="userExpiredDocumentsForm" 		 type="vkc.profile.form.UserExpiredDocumentsForm" />
        <form-bean name="showCategoryFavoritesForm"	     type="vkc.profile.form.ShowCategoryFavoritesForm"/>
        <form-bean name="showDocumentFavoritesForm"	     type="vkc.profile.form.ShowDocumentFavoritesForm"/>
        <form-bean name="userDocumentViewSettingsForm" 	 type="vkc.profile.form.UserDocumentViewSettingsForm" />
        <form-bean name="showHistoryForm"                type="vkc.profile.form.ShowHistoryForm" />

    	<!-- === VKCMessenger Form Bean Definitions === -->
        <form-bean name="editMessengerForm"              type="vkc.messenger.form.EditMessengerForm" />

    	<!-- === VKCHelp Form Bean Definitions === -->
        <form-bean name="helpViewForm"              	 type="vkc.help.form.HelpViewForm" />

    	<!-- === VKCSearch Form Bean Definitions === -->
        <form-bean name="searchDocumentsForm"            type="vkc.search.form.SearchDocumentsForm" />
        <form-bean name="searchRelatedDocumentsForm"     type="vkc.search.form.SearchRelatedDocumentsForm" />

    	<!-- === VKCLogin Form Bean Definitions === -->
        <form-bean name="loginForm"                      type="vkc.view.form.LoginForm" />
        <form-bean name="loginChangePasswordForm"        type="vkc.view.form.LoginChangePasswordForm" />
        <form-bean name="registerNewUserForm"        	 type="vkc.view.form.RegisterNewUserForm" />
        <form-bean name="forgotPasswordForm"        	 type="vkc.view.form.ForgotPasswordForm" />
        <form-bean name="loginLicenseForm"       		 type="vkc.view.form.LoginLicenseForm" />
        <form-bean name="loginLicenseFramesetForm"       type="vkc.view.form.LoginLicenseFramesetForm" />

    	<!-- === VKCDocument Form Bean Definitions === -->
        <form-bean name="newDocumentForm"                type="vkc.view.form.NewDocumentForm"     />
        <form-bean name="editDocumentForm"            	 type="vkc.view.form.EditDocumentForm"   />
        <form-bean name="showDocumentVersionsForm"       type="vkc.view.form.ShowDocumentVersionsForm" />

		<!-- === VKCNews Form Bean Definitions === -->
		<form-bean name="showNewsForm"					 type="vkc.news.form.ShowNewsForm" />
		<form-bean name="showRecentNewsForm"			 type="vkc.news.form.ShowRecentNewsForm" />
		<form-bean name="showRecentNewsFramesetForm"	 type="vkc.news.form.ShowRecentNewsFramesetForm" />

		<!-- === LDAP Support === -->
        <form-bean name="ldapServerListForm"             type="vkc.ldap.administration.form.LdapServerListForm" />
        <form-bean name="newLdapServerForm"              type="vkc.ldap.administration.form.NewLdapServerForm" />
        <form-bean name="editLdapServerForm"             type="vkc.ldap.administration.form.EditLdapServerForm" />

		<!-- === Procoba special forms === -->
        <form-bean name="archiveProjectForm"             type="vkc.procoba.project.ArchiveProjectForm" />
        <form-bean name="createProjectForm"              type="vkc.procoba.project.CreateProjectForm" />
        <form-bean name="procobaTabForm"                 type="vkc.procoba.TabViewForm" />
        <form-bean name="projectViewForm"                type="vkc.procoba.project.ProjectViewForm" />
        <form-bean name="functionalViewForm"             type="vkc.procoba.function.FunctionalViewForm" />

        <!-- === statistics form bean === -->
        <form-bean name="showStatisticsForm"		 	 type="vkc.statistics.form.ShowStatisticsForm" />
        
        <!-- === VKCUserLicense Form Bean Definitions === -->
        <form-bean name="userLicenseForm"		         type="vkc.view.form.UserLicenseForm" />

    </form-beans>

    <!-- ========== Global Exceptions Definitions ============================== -->

    <global-exceptions>
      <exception key="label.exception" type="java.lang.Exception" path="/common/error.jsp"/>
      <exception key="label.exception" type="java.lang.Throwable" path="/common/error.jsp"/>
    </global-exceptions>

    <!-- ========== Action Mapping Definitions ============================== -->

    <action-mappings type="org.apache.struts.action.ActionMapping">
        <!-- The standard administrative actions available with Struts -->
        <!-- These would be either omitted or protected by security -->
        <!-- in a real application deployment -->

    	<!-- === VKCCategory Action Definitions === -->
        <action path="/showCategory" 
				type="vkc.view.action.ShowCategoryAction" 
				name="showCategoryForm"
				scope="request"/>

        <action path="/showTrash" 
				type="vkc.administration.action.TrashViewAction" 
				name="trashViewForm"
				input="/templates/${template.name}/administration/trashView.jsp" 
				scope="request"
				validate="true"/>

		<action path="/archiveCategory"
				type="vkc.view.action.ArchiveCategoryAction"
				name="archiveCategoryForm" 
				input="/templates/${template.name}/common/ArchiveCategoryTemplate.jsp" 
				scope="request" 
				validate="true"/>

        <action path="/editCategory"
        		type="vkc.view.action.EditCategoryAction"
        		name="editCategoryForm" 
        		input="/templates/${template.name}/admin/EditCategoryTemplate.jsp" 
        		scope="request" 
        		validate="true"/>

        <action path="/createCategory" 
        		type="vkc.view.action.CreateCategoryAction" 
        		name="createCategoryForm" 
        		input="/templates/${template.name}/admin/CreateCategoryTemplate.jsp" 
        		scope="request" 
        		validate="true"/>

        <action path="/editCategoryAcl" 
        		type="vkc.view.action.EditCatAclAction" 
        		name="categoryAclForm" 
        		input="/templates/${template.name}/admin/EditCategoryAclTemplate.jsp" 
        		scope="request" 
        		validate="false"/>
        
        <action path="/displayAcl" 
        		type="vkc.view.action.DisplayAclAction" 
        		name="displayAclForm" 
        		input="/templates/${template.name}/admin/DisplayAclTemplate.jsp" 
        		scope="request" 
        		validate="false"/>

        <action path="/displayAclSummaryView" 
        		type="vkc.view.action.DisplayAclSummaryViewAction" 
        		name="displayAclSummaryViewForm" 
        		input="/templates/${template.name}/admin/DisplayAclSummaryViewTemplate.jsp" 
        		scope="request" 
        		validate="false"/>

        <action path="/editDefaultCatAcl" 
        		type="vkc.view.action.EditDefaultCatAclAction" 
        		name="defaultCatAclForm" 
        		input="/templates/${template.name}/admin/EditDefaultCatAclTemplate.jsp" 
        		scope="request" 
        		validate="false"/>

        <action path="/addAccessorAcl" 
        		type="vkc.view.action.AddAccessorAclAction" 
        		name="addAccessorAclForm" 
        		input="/templates/${template.name}/admin/AddAclAccessorTemplate.jsp" 
        		scope="request" 
        		validate="false"/>

        <action path="/addLdapAccessorAcl" 
        		type="vkc.view.action.AddLdapAccessorAclAction" 
        		name="addLdapAccessorAclForm" 
        		input="/templates/${template.name}/admin/AddLdapAclAccessorTemplate.jsp" 
        		scope="request" 
        		validate="false"/>

        <action path="/clusterCategory" 
        		type="vkc.view.action.ClusterCategoryAction" 
        		name="clusterCategoryForm" 
        		input="/templates/${template.name}/admin/ClusterCategory.jsp" 
        		scope="request" 
        		validate="true"/>

        <action path="/clusterDocumentView" 
        		type="vkc.view.action.ClusterDocumentViewAction" 
        		name="clusterDocumentViewForm" 
        		input="/templates/${template.name}/admin/ClusterDocumentView.jsp" 
        		scope="request" 
        		validate="true"/>

        <action path="/clusterEditCategoryView" 
        		type="vkc.view.action.ClusterEditCategoryViewAction" 
        		name="clusterEditCategoryViewForm" 
        		input="/templates/${template.name}/admin/ClusterEditCategoryView.jsp" 
        		scope="request" 
        		validate="true"/>

        <action path="/clusterResultSave" 
        		type="vkc.view.action.ClusterResultSaveAction" 
        		name="clusterResultSaveForm" 
        		input="/templates/${template.name}/admin/ClusterResultSave.jsp" 
        		scope="request" 
        		validate="true"/>

        <action path="/registerGroup" 
        		type="vkc.view.action.RegisterGroupAction" 
        		name="registerGroupForm" 
        		input="/templates/${template.name}/admin/RegisterGroup.jsp" 
        		scope="request" 
        		validate="true"/>
        		
        <action path="/compareVersions" 
        		type="vkc.view.action.CompareVersionsAction" 
        		name="compareVersionsForm" 
        		input="/templates/${template.name}/common/CompareVersions.jsp" 
        		scope="request" 
        		validate="true"/>

		<action path="/compareDocuments" 
        		type="vkc.view.action.CompareDocumentsAction" 
        		name="compareDocumentsForm" 
        		input="/templates/${template.name}/common/CompareDocuments.jsp" 
        		scope="request" 
        		validate="true"/>

		<action path="/showVersions" 
        		type="vkc.view.action.ShowVersionsAction" 
        		name="showVersionsForm" 
        		input="/templates/${template.name}/common/ShowVersions.jsp" 
        		scope="request" 
        		validate="true"/>

    	<!-- === VKCTab Action Definitions === -->
        <action path="/vkcTabView"
				type="vkc.view.action.TabViewAction" 
				name="vkcTabViewForm" 
				scope="request" 
				validate="false"/>

        <action path="/showBestseller" 
        		type="vkc.view.action.ShowBestsellerAction" 
        		name="showBestsellerForm"
        		scope="request"/>

        <action path="/showLatestAdditions" 
        		type="vkc.view.action.ShowLatestAdditionsAction" 
        		name="showLatestAdditionsForm"
        		scope="request"/>

        <action path="/copyrightView"
				type="vkc.view.action.CopyrightViewAction" 
				name="copyrightViewForm"
				scope="request" 
				validate="false"/>

    	<!-- === Misc. Action Definitions === -->
        <action path="/displayUserInfo"     
        		type="vkc.view.action.DisplayUserInfoAction" 
        		name="displayUserInfoForm" 
        		scope="request" 
        		validate="false"/>

        <action path="/displayGroupInfo"    
        		type="vkc.view.action.DisplayGroupInfoAction" 
        		name="displayGroupInfoForm" 
        		scope="request" 
        		validate="false"/>

        <action path="/displayUrl"    
        		type="vkc.view.action.DisplayUrlAction" 
        		name="displayUrlForm" 
        		scope="request" 
        		validate="false"/>
        		
        <action path="/searchCategory"    
        		type="vkc.view.action.SearchCategoryAction" 
        		name="searchCategoryForm" 
        		scope="request" 
        		validate="false"/>

        <action path="/treeview" 
        		type="vkc.util.treeview.TreeViewAction" 
        		name="treeViewForm"
        		scope="request" 
        		validate="false"/>

        <action path="/explorerTreeView"    
        		type="vkc.util.treeview.ExplorerTreeViewAction" 
        		name="explorerTreeViewForm"
        		input="/templates/${template.name}/common/explorerTreeView.jsp"
        		scope="request" 
        		validate="false"/>

        <action path="/sysLink"
				type="vkc.view.action.SysLinkAction" 
				name="sysLinkForm"
				scope="request"/>
        
        <action path="/clusterTreeView"    
        		type="vkc.util.treeview.ClusterTreeViewAction" 
        		name="clusterTreeViewForm"
        		input="/templates/${template.name}/common/clusterTreeView.jsp"
        		scope="request" 
        		validate="false"/>

		<!-- Procoba dedicated actions -->
        <action path="/projectView" 
        		type="vkc.procoba.project.ProjectViewAction" 
        		name="projectViewForm" 
        		input="/templates/${template.name}/procoba/project/ProjectView.jsp"
        		scope="request"/>

        <action path="/procobaTab" 
        		type="vkc.procoba.TabViewAction" 
        		name="procobaTabForm" 
        		scope="request" 
        		validate="false"/>

        <action path="/createProject" 
        		type="vkc.procoba.project.CreateProjectAction" 
        		name="createProjectForm" 
        		input="/templates/${template.name}/procoba/project/CreateProjectTemplate.jsp" 
        		scope="request" 
        		validate="true"/>

        <action path="/functionalView" 
        		type="vkc.procoba.function.FunctionalViewAction" 
        		name="functionalViewForm" 
        		input="/templates/${template.name}/procoba/function/FunctionalView.jsp"
        		scope="request"/>

        <action path="/archiveProject" 
        		type="vkc.procoba.project.ArchiveProjectAction" 
        		name="archiveProjectForm" 
        		input="/templates/${template.name}/procoba/project/ArchiveProject.jsp" 
        		scope="request" 
        		validate="false"/>

    	<!-- === VKCAdministration Action Definitions === -->
        <action path="/adminTabView"
				type="vkc.administration.action.TabViewAction" 
				name="adminTabViewForm" 
				scope="request" 
				validate="false"/>

        <action path="/activeUserList"
        		type="vkc.administration.action.ActiveUserListAction"
        		name="activeUserListForm"
        		scope="request"
        		validate="false"/>

        <action path="/sendEmail"
        		type="vkc.administration.action.SendEmailAction"
        		name="sendEmailForm"
        		input="/templates/${template.name}/administration/sendEmail.jsp"
        		scope="request"
        		validate="true"/>

        <action path="/editUser"
        		type="vkc.administration.action.EditUserAction"
        		name="editUserForm"
        		input="/templates/${template.name}/administration/editUser.jsp"
        		scope="request"
        		validate="true"/>

        <action path="/editGroup"
        		type="vkc.administration.action.EditGroupAction"
        		name="editGroupForm"
        		input="/templates/${template.name}/administration/editGroup.jsp"
        		scope="request"
        		validate="true"/>

        <action path="/userList"
        		type="vkc.administration.action.UserListAction"
        		name="userListForm"
        		input="/templates/${template.name}/administration/userList.jsp"
        		scope="request"
        		validate="true"/>

        <action path="/newUser"
        		type="vkc.administration.action.NewUserAction"
        		name="newUserForm"
        		input="/templates/${template.name}/administration/newUser.jsp"
        		scope="request"
        		validate="true"/>

        <action path="/groupList"
        		type="vkc.administration.action.GroupListAction"
        		name="groupListForm"
        		input="/templates/${template.name}/administration/groupList.jsp"
        		scope="request"
        		validate="true"/>

        <action path="/newGroup"
        		type="vkc.administration.action.NewGroupAction"
        		name="newGroupForm"
        		input="/templates/${template.name}/administration/newGroup.jsp"
        		scope="request"
        		validate="true"/>

        <action path="/changeUserPassword"
        		type="vkc.administration.action.ChangeUserPasswordAction"
        		name="changeUserPasswordForm"
        		input="/templates/${template.name}/administration/changeUserPassword.jsp"
        		scope="request"
        		validate="true"/>

        <action path="/changeDocumentPublisher"
        		type="vkc.administration.action.ChangeDocumentPublisherAction"
        		name="changeDocumentPublisherForm"
        		input="/templates/${template.name}/administration/changeDocumentPublisher.jsp"
        		scope="request"
        		validate="true"/>

       
        <action path="/changeCreatorPublishership"
        		type="vkc.administration.action.ChangeCreatorPublishershipAction"
        		name="changeCreatorPublishershipForm"
        		input="/templates/${template.name}/administration/changeCreatorPublishership.jsp"
        		scope="request"
        		validate="true"/>

        <action path="/copyAdminRights"
        		type="vkc.administration.action.CopyAdminRightsAction"
        		name="copyAdminRightsForm"
        		input="/templates/${template.name}/administration/copyAdminRights.jsp"
        		scope="request"
        		validate="true"/>

        <action path="/systemParameters"
        		type="vkc.administration.action.SystemParametersAction"
        		name="systemParametersForm"
        		input="/templates/${template.name}/administration/systemParameters.jsp"
        		scope="request"/>

        <action path="/systemDefaults"
        		type="vkc.administration.action.SystemDefaultsAction"
        		name="systemDefaultsForm"
        		input="/templates/${template.name}/administration/systemDefaults.jsp"
        		scope="request"/>

        <action path="/systemMaintenance"
        		type="vkc.administration.action.SystemMaintenanceAction"
        		name="systemMaintenanceForm"
        		input="/templates/${template.name}/administration/systemMaintenance.jsp"
        		scope="request"/>
        		
		<action path="/converterMaintenance"
        		type="vkc.administration.action.ConverterMaintenanceAction"
        		name="converterMaintenanceForm"
        		input="/templates/${template.name}/administration/systemMaintenance.jsp"
        		scope="request"/>
				
		<action path="/conversionsMaintenance"
        		type="vkc.administration.action.ConversionsMaintenanceAction"
        		name="conversionsMaintenanceForm"
        		input="/templates/${template.name}/administration/systemMaintenance.jsp"
        		scope="request"/>
        		
        <action path="/export"
        		type="vkc.administration.action.ExportMaintenanceAction"
        		name="exportMaintenanceForm"
        		input="/templates/${template.name}/administration/systemMaintenance.jsp"
        		scope="request"/>
        		
        <action path="/import"
        		type="vkc.administration.action.ImportMaintenanceAction"
        		name="importMaintenanceForm"
        		input="/templates/${template.name}/administration/systemMaintenance.jsp"
        		scope="request"/>
        		
        <action path="/lostFolders"
        		type="vkc.administration.action.LostFoldersAction"
        		name="lostFoldersForm"
        		input="/templates/${template.name}/administration/systemMaintenance.jsp"
        		scope="request"/>
				
        <action path="/newsList"
        		type="vkc.administration.action.NewsListAction"
        		name="newsListForm"
        		input="/templates/${template.name}/administration/newsList.jsp"
        		scope="request"/>

        <action path="/editNews"
        		type="vkc.administration.action.EditNewsAction"
        		name="editNewsForm"
        		input="/templates/${template.name}/administration/editNews.jsp"
        		scope="request"/>

        <action path="/createNews"
        		type="vkc.administration.action.CreateNewsAction"
        		name="createNewsForm"
        		input="/templates/${template.name}/administration/createNews.jsp"
        		scope="request"
        		validate="true"/>
        
        <action path="/deleteUsers"
        		type="vkc.administration.action.DeleteUsersAction"
        		name="deleteUsersForm"
        		input="/templates/${template.name}/administration/deleteUsers.jsp"
        		scope="request"
        		validate="true"/>
        		
       	<action path="/licenseList"
        		type="vkc.administration.action.LicenseListAction"
        		name="licenseListForm"
        		input="/templates/${template.name}/administration/licenseList.jsp"
        		scope="request"
        		validate="true"/>
        		
        <action path="/newLicense"
        		type="vkc.administration.action.NewLicenseAction"
        		name="newLicenseForm"
        		input="/templates/${template.name}/administration/newLicense.jsp"
        		scope="request"
        		validate="true"/>
       
    	<!-- === VKCProfile Action Definitions === -->
        <action path="/userProfile"
        		type="vkc.profile.action.UserProfileAction"
        		name="userProfileForm"
        		input="/templates/${template.name}/userProfile/userProfile.jsp"
        		scope="request"
        		validate="true"/>

        <action path="/userPasswordChange"
        		type="vkc.profile.action.UserPasswordChangeAction"
        		name="userPasswordChangeForm"
        		input="/templates/${template.name}/userProfile/userPasswordChange.jsp"
        		scope="request"/>

        <action path="/userExpiredDocuments"
        		type="vkc.profile.action.UserExpiredDocumentsAction"
        		name="userExpiredDocumentsForm"
        		input="/templates/${template.name}/userProfile/userExpiredDocuments.jsp"
        		scope="request"/>

        <action path="/showCategoryFavorites"
        		type="vkc.profile.action.ShowCategoryFavoritesAction"
        		name="showCategoryFavoritesForm"
        		input="/templates/${template.name}/userProfile/showCategoryFavorites.jsp"
        		scope="request"/>

        <action path="/showDocumentFavorites"
        		type="vkc.profile.action.ShowDocumentFavoritesAction"
        		name="showDocumentFavoritesForm"
        		input="/templates/${template.name}/userProfile/showDocumentFavorites.jsp"
        		scope="request"/>

        <action path="/userDocumentViewSettings"
        		type="vkc.profile.action.UserDocumentViewSettingsAction"
        		name="userDocumentViewSettingsForm"
        		input="/templates/${template.name}/userProfile/userDocumentViewSettings.jsp"
        		scope="request"/>

        <action path="/showHistory" 
	            type="vkc.profile.action.ShowHistoryAction" 
                name="showHistoryForm"
	            input="/templates/${template.name}/userProfile/showHistory.jsp"
	            scope="request" />

    	<!-- === VKCMessenger Action Definitions === -->
        <action path="/editMessenger"
        		type="vkc.messenger.action.EditMessengerAction"
        		name="editMessengerForm"
        		input="/templates/${template.name}/messenger/editMessenger.jsp"
        		scope="request"/>

    	<!-- === VKCSearch Action Definitions === -->
        <action path="/searchDocuments"
        		type="vkc.search.action.SearchDocumentsAction"
        		name="searchDocumentsForm"
        		input="/templates/${template.name}/search/searchDocuments.jsp"
        		scope="request"/>

        <action path="/searchRelatedDocuments"
	    		type="vkc.search.action.SearchRelatedDocumentsAction"
        		name="searchRelatedDocumentsForm"
        		input="/templates/${template.name}/search/searchRelatedDocuments.jsp"
	    		scope="request"/>

    	<!-- === VKCLogin Action Definitions === -->
        <action path="/login"
        		type="vkc.view.action.LoginAction"
        		name="loginForm"
        		input="/common/Login.jsp"
        		scope="request"/>

        <action path="/logout"
        		type="vkc.view.action.LogoutAction"
        		input="/index.jsp"
        		scope="request"/>

        <action path="/guestLogin"
        		type="vkc.view.action.GuestLoginAction"
        		input="/common/Login.jsp"
        		scope="request"/>

        <action path="/loginChangePassword"
        		type="vkc.view.action.LoginChangePasswordAction"
        		name="loginChangePasswordForm"
        		input="/templates/${template.name}/common/ChangePassword.jsp"
        		scope="request"/>
        		
        <action path="/loginLicense"
        		type="vkc.view.action.LoginLicenseAction"
        		name="loginLicenseForm"
        		input="/templates/${template.name}/common/loginLicense.jsp"
                scope="request"
                validate="true"/>

        <action path="/loginLicenseFrameset"
                type="vkc.view.action.LoginLicenseFramesetAction"
                name="loginLicenseFramesetForm"
                input="/templates/${template.name}/common/loginLicenseFrameset.jsp"
                scope="request"
                validate="true"/>
        
        <action path="/registerNewUser"
        		type="vkc.view.action.RegisterNewUserAction"
        		name="registerNewUserForm"
        		input="/templates/${template.name}/common/RegisterNewUser.jsp"
        		scope="request"/>

        <action path="/forgotPassword"
        		type="vkc.view.action.ForgotPasswordAction"
        		name="forgotPasswordForm"
        		input="/templates/${template.name}/common/ForgotPassword.jsp"
        		scope="request"/>

        <!-- === Capture Account definitions === -->
        <action path="/captureAccount"
        		type="vkc.view.action.CaptureAccountAction"
        		scope="request"/>

        <action path="/restoreAccount"
        		type="vkc.view.action.RestoreAccountAction"
        		scope="request"/>

    	<!-- === VKCHelp Action Definitions === -->
        <action path="/helpView"
        		type="vkc.help.action.HelpViewAction"
        		name="helpViewForm"
        		scope="request"/>

    	<!-- === VKCDocument Action Definitions === -->
        <action path="/newDocument"
        		type="vkc.view.action.NewDocumentAction"
        		name="newDocumentForm"
        		input="/templates/${template.name}/admin/NewDocumentTemplate.jsp"
        		scope="request"
        		validate="true"/>

        <action path="/newDocumentVersion"
        		type="vkc.view.action.NewDocumentAction"
        		name="newDocumentForm"
        		input="/admin/NewDocument.jsp"
        		scope="request"
        		validate="true"/>

        <action path="/editDocument"
        		type="vkc.view.action.EditDocumentAction"
        		name="editDocumentForm"
        		input="/templates/${template.name}/admin/EditDocumentTemplate.jsp"
        		scope="request"
        		validate="true"/>
        
        <action path="/showDocumentVersions" 
        		type="vkc.view.action.ShowDocumentVersionsAction" 
        		name="showDocumentVersionsForm"
        		scope="request"/>

        <!-- VKCNews Action Definitions === -->
        <action path="/showNews"
        		type="vkc.news.action.ShowNewsAction"
        		name="showNewsForm"
        		input="/templates/${template.name}/news/showNews.jsp"
        		scope="request"
        		validate="true"/>
        
        <action path="/showRecentNews"
        		type="vkc.news.action.ShowRecentNewsAction"
        		name="showRecentNewsForm"
        		input="/templates/${template.name}/news/showRecentNews.jsp"
        		scope="request"
        		validate="true"/>
        
        <action path="/showRecentNewsFrameset"
        		type="vkc.news.action.ShowRecentNewsFramesetAction"
        		name="showRecentNewsFramesetForm"
        		input="/templates/${template.name}/news/showRecentNewsFrameset.jsp"
        		scope="request"
        		validate="true"/>
        
        <!-- === LDAP Support Action Definitions === -->
        <action path="/ldapServerList"
        		type="vkc.ldap.administration.action.LdapServerListAction"
        		name="ldapServerListForm"
        		input="/templates/${template.name}/ldap/administration/ldapServerList.jsp"
        		scope="request"/>

        <action path="/newLdapServer"
        		type="vkc.ldap.administration.action.NewLdapServerAction"
        		name="newLdapServerForm"
        		input="/templates/${template.name}/ldap/administration/newLdapServer.jsp"
        		scope="request"/>

        <action path="/editLdapServer"
        		type="vkc.ldap.administration.action.EditLdapServerAction"
        		name="editLdapServerForm"
        		input="/templates/${template.name}/ldap/administration/editLdapServer.jsp"
        		scope="request"/>

        <!-- === VKCStatistics Action Definitions === -->
        <action path="/showStatistics"
        		type="vkc.statistics.action.ShowStatisticsAction"
        		name="showStatisticsForm"
        		input="/templates/${template.name}/statistics/showStatistics.jsp"
        		scope="request"
        		validate="true"/>
        
        <!-- === VKCUserLicense Action Definitions === -->
        <action path="/userLicense"
        		type="vkc.view.action.UserLicenseAction"
        		name="userLicenseForm"
        		input="/templates/${template.name}/common/userLicense.jsp"
        		scope="request"/>

    </action-mappings>

	<controller maxFileSize="-1" nocache="true" processorClass="vkc.servlets.VKCRequestProcessor"/>

    <!-- ========== Message Resources Definitions =========================== -->
    <message-resources parameter="vkc.resources.application" null="false" />

</struts-config>